import org.apache.commons.io.comparator.PathFileComparator;
import java.io.File;

public class PathFileComparatorExample {

	public static void main(String [] args) {

		PathFileComparator comparator = new PathFileComparator();

		System.out.println("### Input files ###");
		File dir = new File("X:\\testdir\\");
		File [] files = dir.listFiles();
		printArrayContents(files);
		System.out.println("");

		System.out.println("### Array sorted ###");
		files = comparator.sort(files);
		printArrayContents(files);		
	}

	private static void printArrayContents(File [] files) {

		for (File file : files) {

			System.out.println(file.getPath());
		}
	}
}
